import {EditorState, EditorView, basicSetup} from "@codemirror/basic-setup";
import {numscript} from "codemirror-lang-numscript";
import React, {useRef, useEffect} from 'react';
import './editor.css';

const NumscriptBlock = ({script}) => {
  const editor = useRef();

  useEffect(() => {
    const state = EditorState.create({doc: script, extensions: [
      basicSetup,
      numscript(),
    ]});

    const view = new EditorView({
      state,
      parent: editor.current,
    });

    return () => {
      view.destroy();
    }
  }, []);

  return (
    <div>
      <div ref={editor}></div>
    </div>
  );
}

export {
  NumscriptBlock,
}